Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

List of Mods for 1.7.2

1.5 1.5.1 1.4.7 1.4.6 mod list 1.5.2

  • Please log in to reply
2569 replies to this topic

#2181

ThaT_WHiTE_KiiD

Posted 07 July 2013 - 01:14 AM

It would be very helpful if you categorized the list. e.g dimension mods, biome mods, dependency mods, npc mods, mob mods, etc.

Posted Image


Register or log in to remove.

#2182

Cooolaid

Posted 07 July 2013 - 01:51 AM

@catqueen5

People are posting mods in the mods list, but they are not updated to 1.6.1 yet.
there are a bunch of mods that are still only for 1.5.2 and people are reporting and updating the mod list for that mod,
when that mod has not been updated for 1.6.1.

I wish people would stop doing that.!!
Windows 7 x64-bit - MC v1.6.4 - Forge 9.11.1.953 - CodeChickenCore v0.9.0.6 - NEI v1.6.1.5

#2183

sidben
    sidben

    Iron Miner

  • Members
  • 266 posts
  • Location: Brazil
  • Minecraft: sidben

Posted 07 July 2013 - 03:02 AM

Hey there, the "Village Info" mod have a Forge-compatible version, I managed to use it with forge installer and dragging to the MODS folder as usual. There are 2 versions of the mod, those using forge need to select "1.6.1 (forge)".
A small mod to improve your game, but keeping the vanilla flavour. For Minecraft 1.6.2.
Posted Image
Also check out my Redstone Jukebox mod for Minecraft 1.5.2!
        

#2184

ZeroLevels
    ZeroLevels

    Maverick Hunterator

  • Retired Staff
  • 746 posts
  • Minecraft: ZeroLevels

Posted 07 July 2013 - 11:24 AM

View PostCooolaid, on 07 July 2013 - 01:51 AM, said:

@catqueen5

People are posting mods in the mods list, but they are not updated to 1.6.1 yet.
there are a bunch of mods that are still only for 1.5.2 and people are reporting and updating the mod list for that mod,
when that mod has not been updated for 1.6.1.

I wish people would stop doing that.!!
Yes, I've noticed that. Please tell us which mods have not been updated. Seems one of us who added some mods didn't really check. As we can't possibly know which ones unless we check them all over again, it would be best if you could let us know which ones in specific if you find them. I'll try to keep it from happening again.

Looking for mods? Check out the Minecraft Forums Mod List that I maintain.

Posted Image

If you know of any mods not currently on the list, please let me know in this thread!


#2185

XanderGryphon
  • Location: West Virginia
  • Minecraft: XanderGryphon

Posted 07 July 2013 - 05:51 PM

View PostZeroLevels, on 07 July 2013 - 11:24 AM, said:

Yes, I've noticed that. Please tell us which mods have not been updated. Seems one of us who added some mods didn't really check. As we can't possibly know which ones unless we check them all over again, it would be best if you could let us know which ones in specific if you find them. I'll try to keep it from happening again.

Mo'Creatures is on the list, but isn't updated yet. I'll go through in a bit and check things and add anything else I find.

Posted Image


#2186

Cooolaid

Posted 07 July 2013 - 07:11 PM

View PostZeroLevels, on 07 July 2013 - 11:24 AM, said:

Yes, I've noticed that. Please tell us which mods have not been updated. Seems one of us who added some mods didn't really check. As we can't possibly know which ones unless we check them all over again, it would be best if you could let us know which ones in specific if you find them. I'll try to keep it from happening again.

Besides Mo Creatures, - 'Galacticraft' is another...(at the time I check) there are few of them,
but dont remember which ones exactly.
My fault for not writting them down.
And thank you for responding and also taking action Posted Image
Windows 7 x64-bit - MC v1.6.4 - Forge 9.11.1.953 - CodeChickenCore v0.9.0.6 - NEI v1.6.1.5

#2187

Old_Guy_2_Minecraft_Kids

Posted 08 July 2013 - 01:10 AM

Firstly; Thanks for placing and maintaining this list here, it's an excellent idea and my first port of call when looking for my favorite mods.
Second; Might I suggest a verified by column or user ratings column to filter out the mods which are, lets say, not quite as ready as they suggest they are?
Finally; I have tested a few of these with Minecraft 1.6.1 and some which suggest they are Forge compatible or require Forge either work fine if they are the ONLY mod installed (mainly due to fixed Item IDs which clash) or simply just don't work. Few actually appear to be coded for compatibility with much of anything far less Forge and seem to have been gotten working in a mad rush by the skin of their teeth.
Most are completely broken by the Minecraft 1.6.2 snapshot anyway. Please get to grips with Forge coding methods so we can all live happily together.
I'm really not trying to be nasty, but you guys are much better than this.

Regards,
Alex

#2188

Cooolaid

Posted 08 July 2013 - 08:24 AM

View PostOld_Guy_2_Minecraft_Kids, on 08 July 2013 - 01:10 AM, said:

Firstly; Thanks for placing and maintaining this list here, it's an excellent idea and my first port of call when looking for my favorite mods.
Second; Might I suggest a verified by column or user ratings column to filter out the mods which are, lets say, not quite as ready as they suggest they are?
Finally; I have tested a few of these with Minecraft 1.6.1 and some which suggest they are Forge compatible or require Forge either work fine if they are the ONLY mod installed (mainly due to fixed Item IDs which clash) or simply just don't work. Few actually appear to be coded for compatibility with much of anything far less Forge and seem to have been gotten working in a mad rush by the skin of their teeth.
Most are completely broken by the Minecraft 1.6.2 snapshot anyway. Please get to grips with Forge coding methods so we can all live happily together.
I'm really not trying to be nasty, but you guys are much better than this.

Regards,
Alex

First: Its not the responsibility of the List maintainer to fix Block ID Conflicts or making sure they are compaitible with other mods.
That sir is your responsibility, not theirs.

Second: Anyone who thinks that 1.6.1 mods will work on 1.6.2 should know that it does not and the mods will be broken if they update.
Mojang is a bit too busy trying to impress everyone by releasing buggy versions which they have to update, recall and correct, instead of
releasing a MOD -API First which should be on their priority list in the first place.

Third: Just because it says Forge Compatible, does not mean that if you drop several or millions of mods together, that they
all are gonna work, because they are not.
Though a few Mod Dev's do have a Dynamic ID script as part of their code, most Mod Devs dont.
So its up to the 'player' to make sure the ID conflicts they are having is resolved by the Player.

If you have problems constantly with block ID errors, I would suggest you use a authorized Mod Pack.
Such as 'Feed The Beast' or AMCO.

Also, this is the exact reason why this community desperately needs the MOD API.... a.s.a.p.

And Finally - A rating column is not needed when forum moderators are the ones checking the list to make sure its authentic.
Just a hand full of mods slipped through their fingers which resulted in kaoss for a bit.
which is now under control as per what forum moderator ' ZeroLevels ' have mentioned.

Have a nice day Posted Image
Windows 7 x64-bit - MC v1.6.4 - Forge 9.11.1.953 - CodeChickenCore v0.9.0.6 - NEI v1.6.1.5

#2189

SMEZ1234
  • Minecraft: SMEZ1234

Posted 08 July 2013 - 08:38 AM

Better Biomes has been updated to Minecraft 1.6.2

Posted Image


#2190

Old_Guy_2_Minecraft_Kids

Posted 08 July 2013 - 11:08 AM

>Cooolaid

I seem to have made you quite cross but that was not my intention. If I have spoken out of turn, I apologize.
I did start out by saying I was grateful that the list of mods were being posted here and I meant it, I was merely making a suggesting for improving it.

If you must use fixed Block IDs, might I suggest that you ACTUALLY allow me to be responsible for sorting any clashes out by allowing the possibility for editing a config file associated with the mod? Surely that wouldn't  too hard to arrange, even for the most casual of modders.

IronChest2 (CPW) and two of my own mods, laughed at the 1.6.2 snapshot and worked fine. Others may work fine with a simple recompile in the updated Forge/MCP environment but those who were already using depreciated code wouldn't have stood much of a chance.

Regards,

Alex

#2191

picklerok
  • Location: Somewhere on Earth.
  • Minecraft: Steve587
  • Xbox:LatchedJet91

Posted 08 July 2013 - 01:04 PM

Galacticraft IS open source, but it is not marked as open source.

#2192

snake2332

Posted 08 July 2013 - 05:34 PM

Please remove Mo' Creatures from the list, as previously suggested. It is not updated past 1.5.2.

#2193

TheStoreyd
  • Location: Alabama
  • Minecraft: TheStoreyd3
  • Xbox:TheStoreyd

Posted 08 July 2013 - 06:19 PM

Rei's Minimap and Forge have both updated to 1.6.2

Posted Image


#2194

ZeroLevels
    ZeroLevels

    Maverick Hunterator

  • Retired Staff
  • 746 posts
  • Minecraft: ZeroLevels

Posted 09 July 2013 - 12:52 AM

Let it be known that on top of other responsibilities leaving me with little time for the list, that I am also having some difficulty adjusting to the changes of 1.6. As such, there may be inaccuracies here and there, which will be fixed (if I am aware) the next time I can push an update to the list. I will try and get an update out for tonight. The list is getting a 1.6.2 page now, but we still support from 1.5.2 to current.

Please bear in mind that the submission system is the best way to let us know of updates/new mods.This method will also become public soon, as to show you a list of things already suggested and such. This will help you know what not to resubmit.

So please bear with us on the new stuff. We literally only have two people maintaining the list at current. Two people that both have higher priorities and responsibilities to deal with. This is literally a volunteer community service type thing, and neither of us are paid in any way from it.





EDIT:
Woo! 600 posts.

Looking for mods? Check out the Minecraft Forums Mod List that I maintain.

Posted Image

If you know of any mods not currently on the list, please let me know in this thread!


#2195

oitsjustjose
  • Location: Near Nashville TN
  • Minecraft: oitsjustjose

Posted 09 July 2013 - 01:08 AM

Updated Mystic Mods to 1.6.x (works and tested on both 1.6.1 and 1.6.2)

Posted Image


#2196

culegooner

Posted 09 July 2013 - 02:56 AM

Three mods that I wrote:

SpawnEggDropsMod
CreeperBurnCore
ExplosionDropsCore

All of these mods are for MC 1.6.2 and require Forge 9.10.0.777+.

These mods are Open Source!

http://www.minecraft...ulegooner-mods/

#2197

Blubbeltasche

Posted 09 July 2013 - 09:41 AM

All of my Mods are update to 1.6.2 :)

http://www.minecraft...aft-staircraft/

Sorry for my terrible English. All my texts are translated with a translater.Posted Image


#2198

Denai
    Denai

    Tree Puncher

  • Members
  • 20 posts

Posted 09 July 2013 - 03:46 PM

why ironchest removed?on 3 july I play with this mod on 1.6.1

#2199

WorthyFoe77

Posted 09 July 2013 - 05:57 PM

iron chest needs to be linked with Forge. If forge is updated so is iron chest.

#2200

505Northman
  • Minecraft: 505Northman

Posted 09 July 2013 - 06:15 PM

Thanks!